/*
** ---------------------------------------------------------------------------
** SVN Repository ...: $HeadURL: file:///Data/_Privat/Programmieren/Source-Repository/SVN/BeanDocument/trunk/src/net/beandocument/BeanCollectionElement.java $
** Author ...........: $LastChangedBy: jscheffl $
** Modified .........: $LastChangedDate: 2005-02-27 15:11:14 +0100 (So, 27 Feb 2005) $
** Revision .........: $LastChangedRevision: 11 $
** Responsible ......: Jens Scheffler
** Initial version ..: Jens Scheffler
** ---------------------------------------------------------------------------
*/
package net.beandocument;

import java.util.List;
import java.util.Vector;

import org.w3c.dom.NodeList;

import junit.framework.TestCase;

/**
 * Test Case for BeanCollectionElement class.
 * @author Jens Scheffler
 */
public class BeanCollectionElementTest extends TestCase {

    private BeanCollectionElement el;
    private BeanElement owner;
    private BeanDocument doc;
    
    /**
     * @see TestCase#setUp()
     */
    protected void setUp() throws Exception {
        super.setUp();
        
        List l = new Vector();
        l.add("eins");
        l.add("zwei");
        l.add("drei");
        BeanElementFactory ef = new BeanElementFactory();
        ef.setMaxDepth(5);
        doc = new BeanDocument(ef, this);
        owner = new BeanSimpleTypeElement(doc, doc, "test", this);
        el = new BeanCollectionElement(doc, owner, "test", l);
    }

    /**
     * A Test Case
     */
    public final void testGetChildNodes() {
        NodeList l = el.getElementsByTagName("item");
        assertEquals(3, l.getLength());
    }
}
